Bug 1210 - iwlwifi driver unstable
: iwlwifi driver unstable
Status: RESOLVED INVALID
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-09 16:13 MSK by fvill
Modified: 2013-11-09 14:31 MSK (History)
4 users (show)

See Also:
RPM Package: kernel-3.6.7-1.src.rpm
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fvill 2012-12-09 16:13:24 MSK
Description of problem:
my laptop wifi is unstable, many disconnections...

My wifi chip is :
02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)


I get errors message in /var/log/messages :

Dec  9 13:02:48 localhost kernel: [ 1637.737481] iwlwifi 0000:02:00.0: fail to flush all tx fifo queues
Dec  9 13:02:50 localhost kernel: [ 1639.734508] iwlwifi 0000:02:00.0: Error sending REPLY_ADD_STA: time out after 2000ms.
Dec  9 13:02:50 localhost kernel: [ 1639.734515] iwlwifi 0000:02:00.0: Current CMD queue read_ptr 35 write_ptr 38
Dec  9 13:02:50 localhost kernel: [ 1639.734524] wlan0: HW problem - can not stop rx aggregation for tid 0
Dec  9 13:02:52 localhost kernel: [ 1641.736503] iwlwifi 0000:02:00.0: Error sending REPLY_ADD_STA: time out after 2000ms.
Dec  9 13:02:52 localhost kernel: [ 1641.736510] iwlwifi 0000:02:00.0: Current CMD queue read_ptr 35 write_ptr 41
Dec  9 13:02:52 localhost kernel: [ 1641.736520] wlan0: failed to remove key (0, 36:87:24:79:2a:60) from hardware (-110)
Dec  9 13:02:54 localhost kernel: [ 1643.738516] iwlwifi 0000:02:00.0: Error sending REPLY_QOS_PARAM: time out after 2000ms.
Dec  9 13:02:54 localhost kernel: [ 1643.738523] iwlwifi 0000:02:00.0: Current CMD queue read_ptr 35 write_ptr 44
Dec  9 13:02:54 localhost kernel: [ 1643.738529] iwlwifi 0000:02:00.0: Failed to update QoS
Dec  9 13:02:56 localhost kernel: [ 1645.735579] iwlwifi 0000:02:00.0: Error sending REPLY_RXON: time out after 2000ms.
Dec  9 13:02:56 localhost kernel: [ 1645.735586] iwlwifi 0000:02:00.0: Current CMD queue read_ptr 35 write_ptr 45
Dec  9 13:02:56 localhost kernel: [ 1645.735591] iwlwifi 0000:02:00.0: Error clearing ASSOC_MSK on BSS (-110)
Dec  9 13:02:58 localhost kernel: [ 1647.732534] iwlwifi 0000:02:00.0: Error sending REPLY_RXON: time out after 2000ms.
Dec  9 13:02:58 localhost kernel: [ 1647.732543] iwlwifi 0000:02:00.0: Current CMD queue read_ptr 35 write_ptr 46
Dec  9 13:02:58 localhost kernel: [ 1647.732549] iwlwifi 0000:02:00.0: Error clearing ASSOC_MSK on BSS (-110)
Dec  9 13:02:59 localhost kernel: [ 1649.196633] iwlwifi 0000:02:00.0: ACTIVATE a non DRIVER active station id 0 addr 36:87:24:79:2a:60
Dec  9 13:02:59 localhost kernel: [ 1649.196657] iwlwifi 0000:02:00.0: Error: Response NULL in 'REPLY_ADD_STA'
Dec  9 13:02:59 localhost kernel: [ 1649.196666] wlan0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-5)
Dec  9 13:02:59 localhost kernel: [ 1649.196787] iwlwifi 0000:02:00.0: ACTIVATE a non DRIVER active station id 0 addr 36:87:24:79:2a:60
Dec  9 13:02:59 localhost kernel: [ 1649.196792] cfg80211: Calling CRDA to update world regulatory domain
Dec  9 13:02:59 localhost kernel: [ 1649.196885] iwlwifi 0000:02:00.0: HCMD_ACTIVE already clear for command REPLY_QOS_PARAM
Dec  9 13:02:59 localhost kernel: [ 1649.196900] iwlwifi 0000:02:00.0: Error: Response NULL in 'REPLY_ADD_STA'
Dec  9 13:02:59 localhost kernel: [ 1649.196909] iwlwifi 0000:02:00.0: Adding station ff:ff:ff:ff:ff:ff failed.
Dec  9 13:02:59 localhost kernel: [ 1649.197456] iwlwifi 0000:02:00.0: HCMD_ACTIVE already clear for command REPLY_RXON
Dec  9 13:02:59 localhost kernel: [ 1649.198214] iwlwifi 0000:02:00.0: HCMD_ACTIVE already clear for command REPLY_RXON
Dec  9 13:02:59 localhost kernel: [ 1649.199152] iwlwifi 0000:02:00.0: Attempting to modify non-existing station 0
Dec  9 13:02:59 localhost kernel: [ 1649.199158] iwlwifi 0000:02:00.0: HCMD_ACTIVE already clear for command REPLY_ADD_STA
Dec  9 13:02:59 localhost kernel: [ 1649.199596] iwlwifi 0000:02:00.0: HCMD_ACTIVE already clear for command REPLY_RXON
Dec  9 13:02:59 localhost kernel: [ 1649.200141] iwlwifi 0000:02:00.0: ACTIVATE a non DRIVER active station id 15 addr ff:ff:ff:ff:ff:ff
Dec  9 13:02:59 localhost kernel: [ 1649.200146] iwlwifi 0000:02:00.0: HCMD_ACTIVE already clear for command REPLY_ADD_STA
Dec  9 13:02:59 localhost kernel: [ 1649.212294] cfg80211: World regulatory domain updated:
Dec  9 13:02:59 localhost kernel: [ 1649.212327] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec  9 13:02:59 localhost kernel: [ 1649.212335] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  9 13:02:59 localhost kernel: [ 1649.212341] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Dec  9 13:02:59 localhost kernel: [ 1649.212345] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Dec  9 13:02:59 localhost kernel: [ 1649.212348] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  9 13:02:59 localhost kernel: [ 1649.212351] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  9 13:02:59 localhost NetworkManager[3296]: <info> (wlan0): supplicant interface state: completed -> scanning
Dec  9 13:02:59 localhost kernel: [ 1649.212696] cfg80211: Calling CRDA for country: FR
Dec  9 13:02:59 localhost kernel: [ 1649.217999] cfg80211: Regulatory domain changed to country: FR
Dec  9 13:02:59 localhost kernel: [ 1649.218003] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec  9 13:02:59 localhost kernel: [ 1649.218006] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Dec  9 13:02:59 localhost kernel: [ 1649.218009] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Dec  9 13:02:59 localhost kernel: [ 1649.218011] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Dec  9 13:02:59 localhost kernel: [ 1649.218013] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Dec  9 13:03:00 localhost kernel: [ 1649.741498] iwlwifi 0000:02:00.0: Microcode SW error detected.  Restarting 0x2000000.
Dec  9 13:03:00 localhost kernel: [ 1649.741505] iwlwifi 0000:02:00.0: CSR values:
Dec  9 13:03:00 localhost kernel: [ 1649.741508] iwlwifi 0000:02:00.0: (2nd byte of CSR_INT_COALESCING is CSR_INT_PERIODIC_REG)
Dec  9 13:03:00 localhost kernel: [ 1649.741514] iwlwifi 0000:02:00.0:        CSR_HW_IF_CONFIG_REG: 0X00484b00
Dec  9 13:03:00 localhost kernel: [ 1649.741540] iwlwifi 0000:02:00.0:          CSR_INT_COALESCING: 0X0000ff40
Dec  9 13:03:00 localhost kernel: [ 1649.741565] iwlwifi 0000:02:00.0:                     CSR_INT: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.741591] iwlwifi 0000:02:00.0:                CSR_INT_MASK: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.741617] iwlwifi 0000:02:00.0:           CSR_FH_INT_STATUS: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.741642] iwlwifi 0000:02:00.0:                 CSR_GPIO_IN: 0X00000038
Dec  9 13:03:00 localhost kernel: [ 1649.741668] iwlwifi 0000:02:00.0:                   CSR_RESET: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.741694] iwlwifi 0000:02:00.0:                CSR_GP_CNTRL: 0X080403c5
Dec  9 13:03:00 localhost kernel: [ 1649.741720] iwlwifi 0000:02:00.0:                  CSR_HW_REV: 0X000000b0
Dec  9 13:03:00 localhost kernel: [ 1649.741746] iwlwifi 0000:02:00.0:              CSR_EEPROM_REG: 0X00490ffd
Dec  9 13:03:00 localhost kernel: [ 1649.741772] iwlwifi 0000:02:00.0:               CSR_EEPROM_GP: 0X90000801
Dec  9 13:03:00 localhost kernel: [ 1649.741798] iwlwifi 0000:02:00.0:              CSR_OTP_GP_REG: 0X00030001
Dec  9 13:03:00 localhost kernel: [ 1649.741824] iwlwifi 0000:02:00.0:                 CSR_GIO_REG: 0X00080042
Dec  9 13:03:00 localhost kernel: [ 1649.741850] iwlwifi 0000:02:00.0:            CSR_GP_UCODE_REG: 0X0000fe1c
Dec  9 13:03:00 localhost kernel: [ 1649.741875] iwlwifi 0000:02:00.0:           CSR_GP_DRIVER_REG: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.741901] iwlwifi 0000:02:00.0:           CSR_UCODE_DRV_GP1: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.741927] iwlwifi 0000:02:00.0:           CSR_UCODE_DRV_GP2: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.741952] iwlwifi 0000:02:00.0:                 CSR_LED_REG: 0X00000078
Dec  9 13:03:00 localhost kernel: [ 1649.741978] iwlwifi 0000:02:00.0:        CSR_DRAM_INT_TBL_REG: 0X88251abf
Dec  9 13:03:00 localhost kernel: [ 1649.742004] iwlwifi 0000:02:00.0:        CSR_GIO_CHICKEN_BITS: 0X27800200
Dec  9 13:03:00 localhost kernel: [ 1649.742029] iwlwifi 0000:02:00.0:             CSR_ANA_PLL_CFG: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.742055] iwlwifi 0000:02:00.0:           CSR_HW_REV_WA_REG: 0X0001001a
Dec  9 13:03:00 localhost kernel: [ 1649.742081] iwlwifi 0000:02:00.0:        CSR_DBG_HPET_MEM_REG: 0Xffff0000
Dec  9 13:03:00 localhost kernel: [ 1649.742083] iwlwifi 0000:02:00.0: FH register values:
Dec  9 13:03:00 localhost kernel: [ 1649.742119] iwlwifi 0000:02:00.0:         FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X2543a000
Dec  9 13:03:00 localhost kernel: [ 1649.742155] iwlwifi 0000:02:00.0:        FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X02534df0
Dec  9 13:03:00 localhost kernel: [ 1649.742176] iwlwifi 0000:02:00.0:                  FH_RSCSR_CHNL0_WPTR: 0X00000068
Dec  9 13:03:00 localhost kernel: [ 1649.742197] iwlwifi 0000:02:00.0:         FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X80811104
Dec  9 13:03:00 localhost kernel: [ 1649.742217] iwlwifi 0000:02:00.0:          FH_MEM_RSSR_SHARED_CTRL_REG: 0X000000fc
Dec  9 13:03:00 localhost kernel: [ 1649.742238] iwlwifi 0000:02:00.0:            FH_MEM_RSSR_RX_STATUS_REG: 0X07030000
Dec  9 13:03:00 localhost kernel: [ 1649.742258] iwlwifi 0000:02:00.0:    FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.742295] iwlwifi 0000:02:00.0:                FH_TSSR_TX_STATUS_REG: 0X07ff0001
Dec  9 13:03:00 localhost kernel: [ 1649.742315] iwlwifi 0000:02:00.0:                 FH_TSSR_TX_ERROR_REG: 0X00000000
Dec  9 13:03:00 localhost kernel: [ 1649.742319] iwlwifi 0000:02:00.0: Loaded firmware version: 18.168.6.1
Dec  9 13:03:00 localhost kernel: [ 1649.742464] iwlwifi 0000:02:00.0: Start IWL Error Log Dump:
Dec  9 13:03:00 localhost kernel: [ 1649.742467] iwlwifi 0000:02:00.0: Status: 0x000022CC, count: 6
Dec  9 13:03:00 localhost kernel: [ 1649.742470] iwlwifi 0000:02:00.0: 0x000014E6 | ADVANCED_SYSASSERT          
Dec  9 13:03:00 localhost kernel: [ 1649.742473] iwlwifi 0000:02:00.0: 0x00018188 | uPc
Dec  9 13:03:00 localhost kernel: [ 1649.742476] iwlwifi 0000:02:00.0: 0x000180E2 | branchlink1
Dec  9 13:03:00 localhost kernel: [ 1649.742478] iwlwifi 0000:02:00.0: 0x000180E2 | branchlink2
Dec  9 13:03:00 localhost kernel: [ 1649.742481] iwlwifi 0000:02:00.0: 0x0000DBEA | interruptlink1
Dec  9 13:03:00 localhost kernel: [ 1649.742483] iwlwifi 0000:02:00.0: 0x00000000 | interruptlink2
Dec  9 13:03:00 localhost kernel: [ 1649.742486] iwlwifi 0000:02:00.0: 0x00000095 | data1
Dec  9 13:03:00 localhost kernel: [ 1649.742488] iwlwifi 0000:02:00.0: 0x000000E1 | data2
Dec  9 13:03:00 localhost kernel: [ 1649.742491] iwlwifi 0000:02:00.0: 0x00000236 | line
Dec  9 13:03:00 localhost kernel: [ 1649.742493] iwlwifi 0000:02:00.0: 0x01411B28 | beacon time
Dec  9 13:03:00 localhost kernel: [ 1649.742496] iwlwifi 0000:02:00.0: 0x000844D8 | tsf low
Dec  9 13:03:00 localhost kernel: [ 1649.742499] iwlwifi 0000:02:00.0: 0x00000000 | tsf hi
Dec  9 13:03:00 localhost kernel: [ 1649.742501] iwlwifi 0000:02:00.0: 0x00000000 | time gp1
Dec  9 13:03:00 localhost kernel: [ 1649.742504] iwlwifi 0000:02:00.0: 0x06517D14 | time gp2
Dec  9 13:03:00 localhost kernel: [ 1649.742506] iwlwifi 0000:02:00.0: 0x00000000 | time gp3
Dec  9 13:03:00 localhost kernel: [ 1649.742509] iwlwifi 0000:02:00.0: 0x754312A8 | uCode version
Dec  9 13:03:00 localhost kernel: [ 1649.742511] iwlwifi 0000:02:00.0: 0x000000B0 | hw version
Dec  9 13:03:00 localhost kernel: [ 1649.742514] iwlwifi 0000:02:00.0: 0x00484B00 | board version
Dec  9 13:03:00 localhost kernel: [ 1649.742516] iwlwifi 0000:02:00.0: 0x09350080 | hcmd
Dec  9 13:03:00 localhost kernel: [ 1649.742519] iwlwifi 0000:02:00.0: 0xAF863080 | isr0
Dec  9 13:03:00 localhost kernel: [ 1649.742521] iwlwifi 0000:02:00.0: 0x11C87800 | isr1
Dec  9 13:03:00 localhost kernel: [ 1649.742524] iwlwifi 0000:02:00.0: 0x00000F1A | isr2
Dec  9 13:03:00 localhost kernel: [ 1649.742526] iwlwifi 0000:02:00.0: 0x0146D8C3 | isr3
Dec  9 13:03:00 localhost kernel: [ 1649.742529] iwlwifi 0000:02:00.0: 0x00000000 | isr4
Dec  9 13:03:00 localhost kernel: [ 1649.742531] iwlwifi 0000:02:00.0: 0x01000112 | isr_pref
Dec  9 13:03:00 localhost kernel: [ 1649.742534] iwlwifi 0000:02:00.0: 0x000260A4 | wait_event
Dec  9 13:03:00 localhost kernel: [ 1649.742536] iwlwifi 0000:02:00.0: 0x00000080 | l2p_control
Dec  9 13:03:00 localhost kernel: [ 1649.742539] iwlwifi 0000:02:00.0: 0x00000000 | l2p_duration
Dec  9 13:03:00 localhost kernel: [ 1649.742541] iwlwifi 0000:02:00.0: 0x0000003F | l2p_mhvalid
Dec  9 13:03:00 localhost kernel: [ 1649.742544] iwlwifi 0000:02:00.0: 0x00200200 | l2p_addr_match
Dec  9 13:03:00 localhost kernel: [ 1649.742546] iwlwifi 0000:02:00.0: 0x00000005 | lmpm_pmg_sel
Dec  9 13:03:00 localhost kernel: [ 1649.742549] iwlwifi 0000:02:00.0: 0x13011136 | timestamp
Dec  9 13:03:00 localhost kernel: [ 1649.742552] iwlwifi 0000:02:00.0: 0x00006878 | flow_handler
Dec  9 13:03:00 localhost kernel: [ 1649.742630] iwlwifi 0000:02:00.0: Start IWL Event Log Dump: nothing in log
Dec  9 13:03:02 localhost kernel: [ 1651.736567] iwlwifi 0000:02:00.0: Error sending REPLY_SCAN_CMD: time out after 2000ms.
Dec  9 13:03:02 localhost kernel: [ 1651.736573] iwlwifi 0000:02:00.0: Current CMD queue read_ptr 53 write_ptr 54
Dec  9 13:03:02 localhost kernel: [ 1651.736994] ieee80211 phy0: Hardware restart was requested
Dec  9 13:03:02 localhost kernel: [ 1651.737092] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
Dec  9 13:03:02 localhost kernel: [ 1651.743950] iwlwifi 0000:02:00.0: Radio type=0x2-0x1-0x0

Version-Release number of selected component (if applicable):
iwlwifi-agn-ucode-20120909-1-rosa2012.1.noarch
kernel-nrj-desktop-3.6.7-1rosa-1-1-rosa2012.1.x86_64

How reproducible:
any time.

Steps to Reproduce:
1. just use wifi

This is a well known problem (ie: https://bugs.archlinux.org/task/31667)
But 11n_disable=1 does not change anything in my case.
Comment 1 fvill 2012-12-09 16:20:59 MSK
And here comes a nice kernel stack trace :
Dec  9 13:19:01 localhost kernel: [ 2609.971824] ------------[ cut here ]------------
Dec  9 13:19:01 localhost kernel: [ 2609.971842] WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:607 iwlagn_mac_flush+0x1a3/0x1b0 [iwldvm]()
Dec  9 13:19:01 localhost kernel: [ 2609.971844] Hardware name: SVZ1311C5E
Dec  9 13:19:01 localhost kernel: [ 2609.971847] iwl_trans_wait_tx_queue_empty bad state = 0
Dec  9 13:19:01 localhost kernel: [ 2609.971849] Modules linked in: tun fuse af_packet rfcomm bnep iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi snd_hda_codec_realtek radeon ttm arc4 iwldvm uvcvideo mac80211 videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media btusb qmi_wwan bluetooth qcserial cdc_wdm usbnet option usb_wwan usbserial joydev kvm_intel kvm coretemp i2c_i801 lpc_ich sony_laptop battery tpm_tis iwlwifi tpm_infineon tpm snd_hda_intel cfg80211 tpm_bios snd_hda_codec rfkill snd_hwdep snd_pcm snd_page_alloc snd_timer thermal snd soundcore acpi_cpufreq mperf mei ac processor binfmt_misc evdev nvram autofs4 ext4 jbd2 crc16 hid_generic usbhid sd_mod sr_mod hid crc_t10dif pata_marvell pata_acpi ata_generic aesni_intel aes_x86_64 aes_generic ahci ablk_helper libahci ghash_clmulni_intel cryptd crc32c_intel rts_pstor(C) libata xhci_hcd ehci_hcd scsi_mod usbcore r8169 mii usb_common i915 video button i2c_algo_bit drm_kms_helper drm i2c_core sunrpc ipv6 dm_mirror dm_region_hash dm_log dm_mod [last unl
Dec  9 13:19:01 localhost kernel: oaded: microcode]
Dec  9 13:19:01 localhost kernel: [ 2609.971950] Pid: 27094, comm: kworker/u:1 Tainted: G         C   3.6.7-nrj-desktop-1rosa #1
Dec  9 13:19:01 localhost kernel: [ 2609.971952] Call Trace:
Dec  9 13:19:01 localhost kernel: [ 2609.971962]  [<ffffffff810559cf>] warn_slowpath_common+0x7f/0xc0
Dec  9 13:19:01 localhost kernel: [ 2609.971967]  [<ffffffff81055ac6>] warn_slowpath_fmt+0x46/0x50
Dec  9 13:19:01 localhost kernel: [ 2609.971978]  [<ffffffffa07eab73>] iwlagn_mac_flush+0x1a3/0x1b0 [iwldvm]
Dec  9 13:19:01 localhost kernel: [ 2609.971998]  [<ffffffffa0756cb1>] __ieee80211_recalc_idle+0x231/0x340 [mac80211]
Dec  9 13:19:01 localhost kernel: [ 2609.972013]  [<ffffffffa07570a3>] ieee80211_recalc_idle+0x33/0x60 [mac80211]
Dec  9 13:19:01 localhost kernel: [ 2609.972034]  [<ffffffffa0783492>] ieee80211_sta_connection_lost.isra.19+0x82/0xc0 [mac80211]
Dec  9 13:19:01 localhost kernel: [ 2609.972053]  [<ffffffffa0785e0d>] ieee80211_sta_work+0x16d/0xd90 [mac80211]
Dec  9 13:19:01 localhost kernel: [ 2609.972059]  [<ffffffff813bb4d2>] ? skb_release_data+0xf2/0x110
Dec  9 13:19:01 localhost kernel: [ 2609.972067]  [<ffffffff8116649c>] ? kfree+0x2c/0x150
Dec  9 13:19:01 localhost kernel: [ 2609.972071]  [<ffffffff813bb537>] ? __kfree_skb+0x47/0xa0
Dec  9 13:19:01 localhost kernel: [ 2609.972086]  [<ffffffffa07565d9>] ieee80211_iface_work+0x2c9/0x360 [mac80211]
Dec  9 13:19:01 localhost kernel: [ 2609.972093]  [<ffffffff81073293>] process_one_work+0x143/0x520
Dec  9 13:19:01 localhost kernel: [ 2609.972106]  [<ffffffffa0756310>] ? ieee80211_check_queues+0x100/0x100 [mac80211]
Dec  9 13:19:01 localhost kernel: [ 2609.972112]  [<ffffffff810748de>] worker_thread+0x16e/0x480
Dec  9 13:19:01 localhost kernel: [ 2609.972117]  [<ffffffff81074770>] ? manage_workers+0x2f0/0x2f0
Dec  9 13:19:01 localhost kernel: [ 2609.972122]  [<ffffffff8107a1a3>] kthread+0x93/0xa0
Dec  9 13:19:01 localhost kernel: [ 2609.972127]  [<ffffffff8149ae44>] kernel_thread_helper+0x4/0x10
Dec  9 13:19:01 localhost kernel: [ 2609.972132]  [<ffffffff8107a110>] ? kthread_freezable_should_stop+0x70/0x70
Dec  9 13:19:01 localhost kernel: [ 2609.972136]  [<ffffffff8149ae40>] ? gs_change+0x13/0x13
Dec  9 13:19:01 localhost kernel: [ 2609.972139] ---[ end trace 7d00acc9380cb33e ]---
Comment 2 Aleksandr Kazantcev 2012-12-09 17:16:37 MSK
this driver still problem... 
But...
What driver you use - in kernel or non-free or standalone download?
Comment 3 fvill 2012-12-09 17:27:25 MSK
Hi,
I presume the driver I use comes from the kernel package.
here is the result of the modinfo command:

[root@wsfv ~]# modinfo iwlwifi
filename:       /lib/modules/3.6.7-nrj-desktop-1rosa/kernel/drivers/net/wireless/iwlwifi/iwlwifi.ko.gz
license:        GPL
author:         Copyright(c) 2003-2012 Intel Corporation <ilw@linux.intel.com>
version:        in-tree:d
description:    Intel(R) Wireless WiFi driver for Linux
firmware:       iwlwifi-100-5.ucode
firmware:       iwlwifi-1000-5.ucode
firmware:       iwlwifi-135-6.ucode
firmware:       iwlwifi-105-6.ucode
firmware:       iwlwifi-2030-6.ucode
firmware:       iwlwifi-2000-6.ucode
firmware:       iwlwifi-5150-2.ucode
firmware:       iwlwifi-5000-5.ucode
firmware:       iwlwifi-6000g2b-6.ucode
firmware:       iwlwifi-6000g2a-5.ucode
firmware:       iwlwifi-6050-5.ucode
firmware:       iwlwifi-6000-4.ucode
srcversion:     CF84F4047B4F9842D97E901
alias:          pci:v00008086d00000892sv*sd00000462bc*sc*i*
alias:          pci:v00008086d00000893sv*sd00000262bc*sc*i*
alias:          pci:v00008086d00000892sv*sd00000062bc*sc*i*
alias:          pci:v00008086d00000894sv*sd00000822bc*sc*i*
alias:          pci:v00008086d00000894sv*sd00000422bc*sc*i*
alias:          pci:v00008086d00000895sv*sd00000222bc*sc*i*
alias:          pci:v00008086d00000894sv*sd00000022bc*sc*i*
alias:          pci:v00008086d0000088Esv*sd00004860bc*sc*i*
alias:          pci:v00008086d0000088Esv*sd00004460bc*sc*i*
alias:          pci:v00008086d0000088Fsv*sd00004260bc*sc*i*
alias:          pci:v00008086d0000088Esv*sd00004060bc*sc*i*
alias:          pci:v00008086d00000887sv*sd00004462bc*sc*i*
alias:          pci:v00008086d00000888sv*sd00004262bc*sc*i*
alias:          pci:v00008086d00000887sv*sd00004062bc*sc*i*
alias:          pci:v00008086d00000890sv*sd00004822bc*sc*i*
alias:          pci:v00008086d00000890sv*sd00004422bc*sc*i*
alias:          pci:v00008086d00000891sv*sd00004222bc*sc*i*
alias:          pci:v00008086d00000890sv*sd00004022bc*sc*i*
alias:          pci:v00008086d00000896sv*sd00005027bc*sc*i*
alias:          pci:v00008086d00000896sv*sd00005025bc*sc*i*
alias:          pci:v00008086d00000897sv*sd00005017bc*sc*i*
alias:          pci:v00008086d00000897sv*sd00005015bc*sc*i*
alias:          pci:v00008086d00000896sv*sd00005007bc*sc*i*
alias:          pci:v00008086d00000896sv*sd00005005bc*sc*i*
alias:          pci:v00008086d000008AEsv*sd00001027bc*sc*i*
alias:          pci:v00008086d000008AEsv*sd00001025bc*sc*i*
alias:          pci:v00008086d000008AFsv*sd00001017bc*sc*i*
alias:          pci:v00008086d000008AFsv*sd00001015bc*sc*i*
alias:          pci:v00008086d000008AEsv*sd00001007bc*sc*i*
alias:          pci:v00008086d000008AEsv*sd00001005bc*sc*i*
alias:          pci:v00008086d00000084sv*sd00001316bc*sc*i*
alias:          pci:v00008086d00000084sv*sd00001216bc*sc*i*
alias:          pci:v00008086d00000083sv*sd00001326bc*sc*i*
alias:          pci:v00008086d00000083sv*sd00001226bc*sc*i*
alias:          pci:v00008086d00000083sv*sd00001306bc*sc*i*
alias:          pci:v00008086d00000083sv*sd00001206bc*sc*i*
alias:          pci:v00008086d00000084sv*sd00001315bc*sc*i*
alias:          pci:v00008086d00000084sv*sd00001215bc*sc*i*
alias:          pci:v00008086d00000083sv*sd00001325bc*sc*i*
alias:          pci:v00008086d00000083sv*sd00001225bc*sc*i*
alias:          pci:v00008086d00000083sv*sd00001305bc*sc*i*
alias:          pci:v00008086d00000083sv*sd00001205bc*sc*i*
alias:          pci:v00008086d00000886sv*sd00001317bc*sc*i*
alias:          pci:v00008086d00000886sv*sd00001315bc*sc*i*
alias:          pci:v00008086d00000885sv*sd00001327bc*sc*i*
alias:          pci:v00008086d00000885sv*sd00001325bc*sc*i*
alias:          pci:v00008086d00000885sv*sd00001307bc*sc*i*
alias:          pci:v00008086d00000885sv*sd00001305bc*sc*i*
alias:          pci:v00008086d00000089sv*sd00001316bc*sc*i*
alias:          pci:v00008086d00000089sv*sd00001311bc*sc*i*
alias:          pci:v00008086d00000087sv*sd00001326bc*sc*i*
alias:          pci:v00008086d00000087sv*sd00001321bc*sc*i*
alias:          pci:v00008086d00000087sv*sd00001306bc*sc*i*
alias:          pci:v00008086d00000087sv*sd00001301bc*sc*i*
alias:          pci:v00008086d00000091sv*sd00005226bc*sc*i*
alias:          pci:v00008086d00000091sv*sd00005225bc*sc*i*
alias:          pci:v00008086d00000091sv*sd00005221bc*sc*i*
alias:          pci:v00008086d00000091sv*sd00005207bc*sc*i*
alias:          pci:v00008086d00000091sv*sd00005206bc*sc*i*
alias:          pci:v00008086d00000091sv*sd00005205bc*sc*i*
alias:          pci:v00008086d00000091sv*sd00005201bc*sc*i*
alias:          pci:v00008086d00000090sv*sd00005216bc*sc*i*
alias:          pci:v00008086d00000090sv*sd00005215bc*sc*i*
alias:          pci:v00008086d00000090sv*sd00005211bc*sc*i*
alias:          pci:v00008086d0000008Bsv*sd00005317bc*sc*i*
alias:          pci:v00008086d0000008Bsv*sd00005315bc*sc*i*
alias:          pci:v00008086d0000008Asv*sd00005327bc*sc*i*
alias:          pci:v00008086d0000008Asv*sd00005325bc*sc*i*
alias:          pci:v00008086d0000008Asv*sd00005307bc*sc*i*
alias:          pci:v00008086d0000008Asv*sd00005305bc*sc*i*
alias:          pci:v00008086d00000082sv*sd00001305bc*sc*i*
alias:          pci:v00008086d00000082sv*sd00001304bc*sc*i*
alias:          pci:v00008086d00000082sv*sd00004820bc*sc*i*
alias:          pci:v00008086d00000085sv*sd0000C220bc*sc*i*
alias:          pci:v00008086d00000082sv*sd0000C020bc*sc*i*
alias:          pci:v00008086d00000085sv*sd00001316bc*sc*i*
alias:          pci:v00008086d00000085sv*sd00001311bc*sc*i*
alias:          pci:v00008086d00000082sv*sd00001326bc*sc*i*
alias:          pci:v00008086d00000082sv*sd00001321bc*sc*i*
alias:          pci:v00008086d00000082sv*sd00001307bc*sc*i*
alias:          pci:v00008086d00000082sv*sd00001306bc*sc*i*
alias:          pci:v00008086d00000082sv*sd00001301bc*sc*i*
alias:          pci:v00008086d00004239sv*sd00001316bc*sc*i*
alias:          pci:v00008086d00004239sv*sd00001311bc*sc*i*
alias:          pci:v00008086d00004238sv*sd00001111bc*sc*i*
alias:          pci:v00008086d0000422Csv*sd00001326bc*sc*i*
alias:          pci:v00008086d0000422Csv*sd00001321bc*sc*i*
alias:          pci:v00008086d0000422Csv*sd00001307bc*sc*i*
alias:          pci:v00008086d0000422Csv*sd00001306bc*sc*i*
alias:          pci:v00008086d0000422Csv*sd00001301bc*sc*i*
alias:          pci:v00008086d0000422Bsv*sd00001121bc*sc*i*
alias:          pci:v00008086d0000422Bsv*sd00001101bc*sc*i*
alias:          pci:v00008086d0000423Dsv*sd00001316bc*sc*i*
alias:          pci:v00008086d0000423Dsv*sd00001216bc*sc*i*
alias:          pci:v00008086d0000423Dsv*sd00001311bc*sc*i*
alias:          pci:v00008086d0000423Dsv*sd00001211bc*sc*i*
alias:          pci:v00008086d0000423Csv*sd00001321bc*sc*i*
alias:          pci:v00008086d0000423Csv*sd00001221bc*sc*i*
alias:          pci:v00008086d0000423Csv*sd00001306bc*sc*i*
alias:          pci:v00008086d0000423Csv*sd00001206bc*sc*i*
alias:          pci:v00008086d0000423Csv*sd00001301bc*sc*i*
alias:          pci:v00008086d0000423Csv*sd00001201bc*sc*i*
alias:          pci:v00008086d0000423Bsv*sd00001011bc*sc*i*
alias:          pci:v00008086d0000423Asv*sd00001021bc*sc*i*
alias:          pci:v00008086d0000423Asv*sd00001001bc*sc*i*
alias:          pci:v00008086d00004236sv*sd00001114bc*sc*i*
alias:          pci:v00008086d00004236sv*sd00001014bc*sc*i*
alias:          pci:v00008086d00004236sv*sd00001111bc*sc*i*
alias:          pci:v00008086d00004236sv*sd00001011bc*sc*i*
alias:          pci:v00008086d00004235sv*sd00001104bc*sc*i*
alias:          pci:v00008086d00004235sv*sd00001004bc*sc*i*
alias:          pci:v00008086d00004235sv*sd00001101bc*sc*i*
alias:          pci:v00008086d00004235sv*sd00001001bc*sc*i*
alias:          pci:v00008086d00004235sv*sd00001124bc*sc*i*
alias:          pci:v00008086d00004235sv*sd00001024bc*sc*i*
alias:          pci:v00008086d00004235sv*sd00001121bc*sc*i*
alias:          pci:v00008086d00004235sv*sd00001021bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001316bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001216bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001315bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001215bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001314bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001214bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001311bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001211bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001326bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001226bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001325bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001225bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001324bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001224bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001321bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001221bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001306bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001206bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001305bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001205bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001304bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001204bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001301bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001201bc*sc*i*
depends:        cfg80211
intree:         Y
vermagic:       3.6.7-nrj-desktop-1rosa SMP preempt mod_unload modversions 
parm:           debug:debug output mask (uint)
parm:           swcrypto:using crypto in software (default 0 [hardware]) (int)
parm:           11n_disable:disable 11n functionality, bitmap: 1: full, 2: agg TX, 4: agg RX (uint)
parm:           amsdu_size_8K:enable 8K amsdu size (int)
parm:           fw_restart:restart firmware in case of error (int)
parm:           antenna_coupling:specify antenna coupling in dB (defualt: 0 dB) (int)
parm:           bt_ch_inhibition:Enable BT channel inhibition (default: enable) (bool)
parm:           plcp_check:Check plcp health (default: 1 [enabled]) (bool)
parm:           wd_disable:Disable stuck queue watchdog timer 0=system default, 1=disable, 2=enable (default: 0) (int)
parm:           bt_coex_active:enable wifi/bt co-exist (default: enable) (bool)
parm:           led_mode:0=system default, 1=On(RF On)/Off(RF Off), 2=blinking, 3=Off (default: 0) (int)
parm:           power_save:enable WiFi power management (default: disable) (bool)
parm:           power_level:default power save level (range from 1 - 5, default: 1) (int)
parm:           auto_agg:enable agg w/o check traffic load (default: enable) (bool)
parm:           5ghz_disable:disable 5GHz band (default: 0 [enabled]) (bool)
Comment 4 Alexander Burmashev 2013-01-11 12:20:39 MSK
Check on the latest image/kernel please.
Comment 5 Egor Kochetoff 2013-10-04 11:40:30 MSD
This bug affects me too, and actually this bug is a BLOCKER for me. Wifi disconnects really often. I made a script to persistently reconnect it, every 5 seconds, it works just fine then. At least once a day my wifi controller hangs totally, so I have to use Alt+SysRq+B to reboot my machine.

When I used ubuntu raring ringtail (13.04) on the very same machine, I had no single trouble with wifi (I'm using wicd there) with uptime around 200 days. 

Error details follow below.

----

My intel wifi card:
05:00.0 Network controller: Intel Corporation Centrino Wireless-N 130 (rev 34)

I use wifi with wpa2. To connect I use basically the following commands (wrapped in a script):

  rmmod iwldvm
  rmmod iwlwifi
  sleep 1
  modprobe iwlwifi
  ifconfig wlan0 up
  wpa_supplicant -Dwext -iwlan0 -B -c /home/gluk47/wpa_supplicant.conf
  dhclient wlan0

The whole script is there: http://pastebin.com/FnyAtV23

dmesg shows me LOTS of errors like these:

[155096.205381] wlan0: authenticate with 90:f6:52:8c:06:36
[155096.209161] wlan0: send auth to 90:f6:52:8c:06:36 (try 1/3)
[155096.209987] wlan0: deauthenticating from 90:f6:52:8c:06:36 by local choice (reason=3)
...
[155100.647523] wlan0: authenticate with 90:f6:52:8c:06:36
[155100.652242] wlan0: send auth to 90:f6:52:8c:06:36 (try 1/3)
[155100.652336] wlan0: authenticated
[155100.656166] wlan0: deauthenticating from 90:f6:52:8c:06:36 by local choice (reason=3)

And a few errors like these:
[155157.551351] iwlwifi 0000:05:00.0: Microcode SW error detected.  Restarting 0x2000000.
[155157.551367] iwlwifi 0000:05:00.0: CSR values:
...
.[155157.552679] iwlwifi 0000:05:00.0: Loaded firmware version: 18.168.6.1
[155157.552710] iwlwifi 0000:05:00.0: FW error in SYNC CMD REPLY_RXON
[155157.552729] iwlwifi 0000:05:00.0: Error clearing ASSOC_MSK on BSS (-5)
[155157.552768] iwlwifi 0000:05:00.0: Error clearing ASSOC_MSK on BSS (-5)
[155157.552842] iwlwifi 0000:05:00.0: Error clearing ASSOC_MSK on BSS (-5)
...
[155157.553094] iwlwifi 0000:05:00.0: set power fail, ret = -5
...
[155157.553283] iwlwifi 0000:05:00.0: Error clearing ASSOC_MSK on BSS (-5)
[155157.553298] iwlwifi 0000:05:00.0: Start IWL Event Log Dump: nothing in log
[155157.553769] ieee80211 phy171: Hardware restart was requested
[155157.553345] BUG: unable to handle kernel NULL pointer dereference at 00000000000000e8
[155157.561021] IP:
[155157.561021]  [<ffffffffa03a6f2b>] __cfg80211_connect+0x45b/0x660 [cfg80211]
...
[155157.561021] Oops: 0000 [#1] 
[155157.561021] PREEMPT 
[155157.561021] SMP 
...
[155157.561021] Call Trace:
[155157.561021]  [<ffffffffa03bf958>] cfg80211_mgd_wext_connect+0x118/0x160 [cfg80211]
[155157.561021]  [<ffffffffa03bfda4>] cfg80211_mgd_wext_siwessid+0x124/0x210 [cfg80211]
[155157.561021]  [<ffffffff8117477a>] ? __kmalloc+0x19a/0x1f0
[155157.561021]  [<ffffffffa03bc3d5>] cfg80211_wext_siwessid+0x35/0x40 [cfg80211]
[155157.561021]  [<ffffffff815f2a6e>] ioctl_standard_iw_point+0x16e/0x400
...

The complete log is lost :(

My ROSA kernel: 
$ uname -a
Linux gluk47-netbook-rosa 3.10.9-nrj-desktop-1rosa #1 SMP PREEMPT Tue Aug 27 19:36:40 MSK 2013 x86_64 x86_64 x86_64 GNU/Linux

Version of the ubuntu kernel that works ok:
$ uname -a                                                                                                
Linux gluk47-netbook 3.8.0-29-generic #42-Ubuntu SMP Tue Aug 13 19:40:39 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 6 Eugene Shatokhin 2013-10-04 12:00:39 MSD
The NULL pointer dereference in the kernel is certainly a 'must-fix' thing, not to mention other errors.

1. Please try to collect the complete system log using the steps I described here:
http://bugs.rosalinux.ru/show_bug.cgi?id=2728#c8

2. Besides that, please attach the output of 'lspci -vnn' and 'modinfo iwlwifi'. This information may help us see what is going on.

3. You can also try the latest kernel (3.10.14 at the moment) from the repos listed here:
http://bugs.rosalinux.ru/show_bug.cgi?id=2728#c4
Comment 7 Egor Kochetoff 2013-10-11 14:25:02 MSD
Sorry for the long response.

In the meantime, here is the output of

`lspci -vnn`: https://www.dropbox.com/s/nso3hl91k2yd6ez/lspci-vnn
`modinfo iwlwifi`: https://www.dropbox.com/s/lmxgfxb6w1acf27/modinfo_iwlwifi
Comment 8 Aleksandr Kazantcev 2013-10-11 14:36:25 MSD
Today we pushed some update for wifi. Try use latest iwlwifi firmware/ucode from linux-firmware and iwlwifi-agn-ucode-20131001-6 packages (Please wait, if in mirror you see 20131001 package with version not equal 6, previous has errors break iwlwifi and rtlwifi :( ).
Comment 9 Aleksandr Kazantcev 2013-11-08 23:47:36 MSK
If bug still valid?
Comment 10 Egor Kochetoff 2013-11-09 14:26:44 MSK
(In reply to comment #9)
> If bug still valid?

mmm… sorry, don't know. I abandoned ROSA linux, moved to another distribution) (no offense)